Rocket Pool Contracts API
API for Rocket Pool Contracts. Every ABI item below is callable as its own Spectrum JSON-RPC method. See the Marketplace overview for how the method names are built.
Staking
Deployments
| Deployment | Chain | Address | Methods |
|---|---|---|---|
rETHreth | Ethereum | 0xae7873…fc6393 | 13 |
Methods
Functions
ReadgetExchangeRatespectrum_rocketpool_ethereum_reth_call_getExchangeRate
Fetches the exchange rate
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_getExchangeRate",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_getExchangeRate',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_getExchangeRate",
"abiName": "getExchangeRate",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
ReadgetTotalCollateralspectrum_rocketpool_ethereum_reth_call_getTotalCollateral
Fetches the total collateral
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_getTotalCollateral",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_getTotalCollateral',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_getTotalCollateral",
"abiName": "getTotalCollateral",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
ReadgetCollateralRatespectrum_rocketpool_ethereum_reth_call_getCollateralRate
Fetches the collateral rate
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_getCollateralRate",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_getCollateralRate',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_getCollateralRate",
"abiName": "getCollateralRate",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
Readnamespectrum_rocketpool_ethereum_reth_call_name
Fetches the name of the token
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_name",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_name',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_name",
"abiName": "name",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
""
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | string |
Readsymbolspectrum_rocketpool_ethereum_reth_call_symbol
Fetches the symbol of the token
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_symbol",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_symbol',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_symbol",
"abiName": "symbol",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
""
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | string |
Readdecimalsspectrum_rocketpool_ethereum_reth_call_decimals
Fetches the decimals of the token
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_decimals",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_decimals',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_decimals",
"abiName": "decimals",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | uint8 |
ReadtotalSupplyspectrum_rocketpool_ethereum_reth_call_totalSupply
Fetches the totalSupply of the token
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_totalSupply",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_totalSupply',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_totalSupply",
"abiName": "totalSupply",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
ReadbalanceOfspectrum_rocketpool_ethereum_reth_call_balanceOf
Fetches the balance of an address
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_balanceOf",
"params": {
"args": [
"0x0000000000000000000000000000000000000001"
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_balanceOf',
{
"args": [
"0x0000000000000000000000000000000000000001"
]
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_balanceOf",
"abiName": "balanceOf",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
account | address |
Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
Readallowancespectrum_rocketpool_ethereum_reth_call_allowance
Fetches the allowance of an address for a spender
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_allowance",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001"
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_allowance',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001"
]
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_allowance",
"abiName": "allowance",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
owner | address |
spender | address |
Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
ReadgetEthValuespectrum_rocketpool_ethereum_reth_call_getEthValue
Fetches the ETH value from rETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_getEthValue",
"params": {
"args": [
"0"
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_getEthValue',
{
"args": [
"0"
]
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_getEthValue",
"abiName": "getEthValue",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
_rethAmount | uint256 |
Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
ReadgetRethValuespectrum_rocketpool_ethereum_reth_call_getRethValue
Fetches the rETH value from ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_call_getRethValue",
"params": {
"args": [
"0"
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_call_getRethValue',
{
"args": [
"0"
]
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_call_getRethValue",
"abiName": "getRethValue",
"deploymentName": "reth",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
_ethAmount | uint256 |
Outputs
| Name | Type |
|---|---|
output_0 | uint256 |
Events
EventTransferspectrum_rocketpool_ethereum_reth_getLogs_Transfer
The event emitted when a transfer is made
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_getLogs_Transfer",
"params": {
"args": [
null,
null,
null
],
"fromBlock": "latest",
"toBlock": "latest"
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_getLogs_Transfer',
{
"args": [
null,
null,
null
],
"fromBlock": "latest",
"toBlock": "latest"
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_getLogs_Transfer",
"abiName": "Transfer",
"deploymentName": "reth",
"operation": "getLogs",
"abiType": "event",
"count": 1,
"limit": 100,
"hasMore": false,
"cursor": null,
"logs": [
{
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"blockNumber": 24510927,
"transactionHash": "0x867cbb7b...",
"logIndex": 1,
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
"0"
]
}
]
}
}Event arguments
| Name | Type | Indexed |
|---|---|---|
from | address | yes |
to | address | yes |
value | uint256 | no |
EventApprovalspectrum_rocketpool_ethereum_reth_getLogs_Approval
The event emitted when an approval is made
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_rocketpool_ethereum_reth_getLogs_Approval",
"params": {
"args": [
null,
null,
null
],
"fromBlock": "latest",
"toBlock": "latest"
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_rocketpool_ethereum_reth_getLogs_Approval',
{
"args": [
null,
null,
null
],
"fromBlock": "latest",
"toBlock": "latest"
},
){
"data": {
"chain": "ethereum",
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"method": "spectrum_rocketpool_ethereum_reth_getLogs_Approval",
"abiName": "Approval",
"deploymentName": "reth",
"operation": "getLogs",
"abiType": "event",
"count": 1,
"limit": 100,
"hasMore": false,
"cursor": null,
"logs": [
{
"address": "0xae78736cd615f374d3085123a210448e74fc6393",
"blockNumber": 24510927,
"transactionHash": "0x867cbb7b...",
"logIndex": 1,
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
"0"
]
}
]
}
}Event arguments
| Name | Type | Indexed |
|---|---|---|
owner | address | yes |
spender | address | yes |
value | uint256 | no |
